/******************************************************
 *
 * Name:         usp_Maintain_Statistics.sql
 *     
 * Design Phase:
 *     Author:   John Miner
 *     Date:     04-26-2011
 *     Purpose:  Update statistics that need refreshing.
 * 
 ******************************************************/

/*  
	Which database to use.
*/

USE msdb
GO


/*  
	Delete the existing stored procedure.
*/

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[usp_Maintain_Statistics]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[usp_Maintain_Statistics]
GO
 


/*  
	Create the new stored procedure.
*/

CREATE PROCEDURE [dbo].[usp_Maintain_Statistics]
  @VAR_NAME VARCHAR (250)
AS
BEGIN

  -- Variable to hold dynamic SQL
  DECLARE @command NVARCHAR(4000);
  
  -- Create the SQL statement to run
  SELECT @command = 'USE ' + LTRIM(RTRIM(@VAR_NAME)) + ';  EXEC sp_updatestats;';
  
  -- Execute the SQL statement
  EXEC (@command);
END
GO
