/******************************************************
 *
 * Name:         usp_Truncate_Log_File
 *     
 * Design Phase:
 *     Author:   John Miner
 *     Date:     05-25-2011
 *     Purpose:  Use this procedure will databases
 *               like model that you really do not care
 *               about the log file.
 * 
 ******************************************************/

/*  
	Which database to use.
*/

USE msdb
GO


/*  
	Delete the existing stored procedure.
*/

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[usp_Truncate_Log_File]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[usp_Truncate_Log_File]
GO
 


/*  
	Create the new stored procedure.
*/

CREATE PROCEDURE [dbo].[usp_Truncate_Log_File]
  @VAR_NAME VARCHAR (250)
AS
BEGIN

  BACKUP LOG @VAR_NAME WITH TRUNCATE_ONLY

END
GO
